"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var text = function text() {
  var opts = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

  var InputWrapper = function InputWrapper(_ref) {
    var _ref$value = _ref.value;
    var value = _ref$value === undefined ? "" : _ref$value;
    var _onChange = _ref.onChange;
    var children = _ref.children;
    return _react2.default.createElement(
      "label",
      null,
      opts.label,
      _react2.default.createElement("textarea", { onChange: function onChange(e) {
          return _onChange(e.target.value);
        }, value: value }),
      children
    );
  };
  InputWrapper.defaultValue = "";
  return InputWrapper;
};

exports.default = text;