'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.shadowToString = exports.colorToString = exports.fromObject = exports.password = exports.boolean = exports.select = exports.number = exports.object = exports.array = exports.text = exports.string = exports.color = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _lodash = require('lodash');

var _color2 = require('./inputs/color');

var _color3 = _interopRequireDefault(_color2);

var _string2 = require('./inputs/string');

var _string3 = _interopRequireDefault(_string2);

var _text2 = require('./inputs/text');

var _text3 = _interopRequireDefault(_text2);

var _array2 = require('./inputs/array');

var _array3 = _interopRequireDefault(_array2);

var _object2 = require('./inputs/object');

var _object3 = _interopRequireDefault(_object2);

var _number2 = require('./inputs/number');

var _number3 = _interopRequireDefault(_number2);

var _select2 = require('./inputs/select');

var _select3 = _interopRequireDefault(_select2);

var _bool = require('./inputs/bool');

var _bool2 = _interopRequireDefault(_bool);

var _password2 = require('./inputs/password');

var _password3 = _interopRequireDefault(_password2);

var _from_object = require('./utils/from_object');

var _from_object2 = _interopRequireDefault(_from_object);

var _form = require('./utils/form');

var _form2 = _interopRequireDefault(_form);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.color = _color3.default;
exports.string = _string3.default;
exports.text = _text3.default;
exports.array = _array3.default;
exports.object = _object3.default;
exports.number = _number3.default;
exports.select = _select3.default;
exports.boolean = _bool2.default;
exports.password = _password3.default;
exports.fromObject = _from_object2.default;
exports.default = _form2.default;
var colorToString = exports.colorToString = function colorToString(color) {
  return 'rgba(' + color.r + ', ' + color.g + ', ' + color.b + ', ' + color.a + ')';
};

var shadowToString = exports.shadowToString = function shadowToString(obj) {
  return obj.xOffset + 'px ' + obj.yOffset + 'px ' + obj.blurRadius + 'px ' + colorToString(obj.color);
};