'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultOpts = {
  onChange: function onChange(e) {
    return e.target.checked;
  }
};

var bool = function bool() {
  var opts = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

  opts = (0, _lodash.merge)(defaultOpts, opts);
  var InputWrapper = function InputWrapper(_ref) {
    var value = _ref.value;
    var _onChange = _ref.onChange;
    var children = _ref.children;
    return _react2.default.createElement(
      'label',
      null,
      opts.label,
      _react2.default.createElement('input', { type: 'checkbox', checked: value, onChange: function onChange(e) {
          return _onChange(opts.onChange(e));
        } }),
      children
    );
  };
  InputWrapper.defaultValue = false;
  return InputWrapper;
};

exports.default = bool;