"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var number = function number() {
  var opts = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

  var InputWrapper = function InputWrapper(_ref) {
    var value = _ref.value;
    var _onChange = _ref.onChange;
    var children = _ref.children;
    return _react2.default.createElement(
      "label",
      null,
      opts.label,
      _react2.default.createElement("input", { type: "number", onChange: function onChange(e) {
          return _onChange(parseInt(e.target.value));
        }, value: value }),
      children
    );
  };
  InputWrapper.defaultValue = 0;
  return InputWrapper;
};

exports.default = number;