'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var select = function select(options) {
  var opts = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

  var InputWrapper = function InputWrapper(_ref) {
    var value = _ref.value;
    var _onChange = _ref.onChange;
    return _react2.default.createElement(
      'select',
      { value: value, onChange: function onChange(e) {
          return _onChange(e.target.value);
        } },
      options.map(function (option) {
        return _react2.default.createElement(
          'option',
          { value: option, key: option },
          option
        );
      })
    );
  };
  InputWrapper.defaultValue = [];
  return InputWrapper;
};

exports.default = select;